std::experimental::concat(3)

NAME
std::experimental::concat - std::experimental::concat

Synopsis
   Defined in header <experimental/simd>
   template< class T, class... Abis >
   simd<T, simd_abi::deduce_t<T, (simd_size_v<T, Abis> + ...)>> (1) (parallelism TS v2)
   concat( const simd<T, Abis>&... vs ) noexcept;
   template< class T, class... Abis >
   simd_mask<T, simd_abi::deduce_t<T, (simd_size_v<T, Abis> + (2) (parallelism TS v2)
   ...)>>
   concat( const simd_mask<T, Abis>&... vs ) noexcept;
   Concatenates the input simd or simd_mask objects.
   Parameter
   vs - the input simd or simd_mask parameter pack

Return value
   The concatenated result of a single simd or simd_mask object.

Example